mbedtls_oid_descriptor_t Struct Reference

Base OID descriptor structure. More...

`#include <oid.h>`

## Data Fields

const char * | asn1
size_t | asn1_len
const char * | name
const char * | description

## Detailed Description

Base OID descriptor structure.

Definition at line 442 of file oid.h.

## Field Documentation

## asn1

const char* mbedtls_oid_descriptor_t::asn1

OID ASN.1 representation

Definition at line 444 of file oid.h.

## asn1_len

size_t mbedtls_oid_descriptor_t::asn1_len

length of asn1

Definition at line 445 of file oid.h.

## description

const char* mbedtls_oid_descriptor_t::description

human friendly description

Definition at line 447 of file oid.h.

## name

const char* mbedtls_oid_descriptor_t::name

official name (e.g. from RFC)

Definition at line 446 of file oid.h.

The documentation for this struct was generated from the following file:

- oid.h